> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search custom field list

> You can find the listkey value in the field [endpoint](https://developer.findity.com/reference/getorganizationexpensetypefields)



## OpenAPI

````yaml openapi/findity-expense-api.json GET /me/organizations/{id}/lists/{listkey}
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/lists/{listkey}:
    get:
      tags:
        - Organizations
      summary: Search custom field list
      description: >-
        You can find the listkey value in the field
        [endpoint](https://developer.findity.com/reference/getorganizationexpensetypefields)
      operationId: searchCustomFieldList
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - name: listkey
          in: path
          required: true
          description: The key of the list
          schema:
            type: string
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/order'
        - $ref: '#/components/parameters/searchText'
        - $ref: '#/components/parameters/filter'
        - $ref: '#/components/parameters/includeSuggestions'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomFieldList'
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
    order:
      name: order
      in: query
      description: specifies the order
      required: false
      schema:
        type: string
        enum:
          - asc
          - desc
        default: asc
    searchText:
      name: searchText
      in: query
      description: free text to search for
      required: false
      schema:
        type: string
    filter:
      name: filter
      in: query
      description: filters values by passed id
      required: false
      schema:
        type: string
    includeSuggestions:
      name: includeSuggestions
      in: query
      description: max number of suggestions to include, may be fewer
      required: false
      schema:
        type: integer
        format: int
  schemas:
    CustomFieldList:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
            sections:
              $ref: '#/components/schemas/Section'
        suggestions:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldListValue'
        data:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldListValue'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    Section:
      type: array
      items:
        properties:
          id:
            type: integer
          text:
            type: string
    CustomFieldListValue:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        section:
          type: integer
        icon:
          type: string
          format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````